<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Vehicles/Helicopter.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d93/_helicopter_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Helicopter.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d93/_helicopter_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d84/class_helicopter.html">Helicopter</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/d36/class_transport.html">Transport</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>};</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d09/class_helicopter_auto.html">HelicopterAuto</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d84/class_helicopter.html">Helicopter</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html#ad49b13dc4c72e3d87670b9e45b5a053c">   12</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d84/class_helicopter.html#ad49b13dc4c72e3d87670b9e45b5a053c">IsEngineOn</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html#a0f2c96994b17f5bfe325126abd41a5ff">   15</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d84/class_helicopter.html#a0f2c96994b17f5bfe325126abd41a5ff">EngineStart</a>();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html#a2ffef9aa9bb72c8e319e35d9db3959ef">   18</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d84/class_helicopter.html#a2ffef9aa9bb72c8e319e35d9db3959ef">EngineStop</a>();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html#a36fcf841dcd9b4751fa0579ea6072065">   21</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d84/class_helicopter.html#a36fcf841dcd9b4751fa0579ea6072065">IsAutohoverOn</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html#a0c7415872068bd364f988d278b4cbe1f">   24</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d84/class_helicopter.html#a0c7415872068bd364f988d278b4cbe1f">AutohoverOn</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../dd/d84/class_helicopter.html#a47cab8406ae544a682845fcba1d0b475">   27</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d84/class_helicopter.html#a47cab8406ae544a682845fcba1d0b475">AutohoverOff</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>};</div>
<div class="ttc" id="aclass_helicopter_auto_html"><div class="ttname"><a href="../../d2/d09/class_helicopter_auto.html">HelicopterAuto</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d8b/_helicopter_script_8c_source.html#l00004">HelicopterScript.c:5</a></div></div>
<div class="ttc" id="aclass_helicopter_html"><div class="ttname"><a href="../../dd/d84/class_helicopter.html">Helicopter</a></div><div class="ttdoc">Native implementatin with auto hover funcionality.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d93/_helicopter_8c_source.html#l00009">Helicopter.c:10</a></div></div>
<div class="ttc" id="aclass_helicopter_html_a0c7415872068bd364f988d278b4cbe1f"><div class="ttname"><a href="../../dd/d84/class_helicopter.html#a0c7415872068bd364f988d278b4cbe1f">Helicopter::AutohoverOn</a></div><div class="ttdeci">proto native void AutohoverOn()</div><div class="ttdoc">Enables auto-hover system.</div></div>
<div class="ttc" id="aclass_helicopter_html_a0f2c96994b17f5bfe325126abd41a5ff"><div class="ttname"><a href="../../dd/d84/class_helicopter.html#a0f2c96994b17f5bfe325126abd41a5ff">Helicopter::EngineStart</a></div><div class="ttdeci">proto native void EngineStart()</div><div class="ttdoc">Starts the engine.</div></div>
<div class="ttc" id="aclass_helicopter_html_a2ffef9aa9bb72c8e319e35d9db3959ef"><div class="ttname"><a href="../../dd/d84/class_helicopter.html#a2ffef9aa9bb72c8e319e35d9db3959ef">Helicopter::EngineStop</a></div><div class="ttdeci">proto native void EngineStop()</div><div class="ttdoc">Stops the engine.</div></div>
<div class="ttc" id="aclass_helicopter_html_a36fcf841dcd9b4751fa0579ea6072065"><div class="ttname"><a href="../../dd/d84/class_helicopter.html#a36fcf841dcd9b4751fa0579ea6072065">Helicopter::IsAutohoverOn</a></div><div class="ttdeci">proto native bool IsAutohoverOn()</div><div class="ttdoc">Returns true when auto-hover system is turned on, false otherwise.</div></div>
<div class="ttc" id="aclass_helicopter_html_a47cab8406ae544a682845fcba1d0b475"><div class="ttname"><a href="../../dd/d84/class_helicopter.html#a47cab8406ae544a682845fcba1d0b475">Helicopter::AutohoverOff</a></div><div class="ttdeci">proto native void AutohoverOff()</div><div class="ttdoc">Disables auto-hover system.</div></div>
<div class="ttc" id="aclass_helicopter_html_ad49b13dc4c72e3d87670b9e45b5a053c"><div class="ttname"><a href="../../dd/d84/class_helicopter.html#ad49b13dc4c72e3d87670b9e45b5a053c">Helicopter::IsEngineOn</a></div><div class="ttdeci">proto native bool IsEngineOn()</div><div class="ttdoc">Returns true when engine is running, false otherwise.</div></div>
<div class="ttc" id="aclass_transport_html"><div class="ttname"><a href="../../d3/d36/class_transport.html">Transport</a></div><div class="ttdoc">Base native class for all motorized wheeled vehicles.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00079">Car.c:80</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_1bed7d5642a9627f05230d4d5e006942.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../d4/d93/_helicopter_8c.html">Helicopter.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
